
Name:           grommunio-index
Version:        0.1.16.e01e06c
Release:        0
Summary:        Generator for grommunio-web search indexes
License:        AGPL-3.0-or-later
Group:          Productivity/Networking/Email/Servers
URL:            https://grommunio.com/
Source:         %name-%version.tar.xz
BuildRequires:  cmake
%if 0%{?suse_version} && 0%{?suse_version} < 1550
BuildRequires:  gcc11-c++
%else
BuildRequires:  gcc-c++
%endif
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  libexmdbpp-devel >= 1.8.0
BuildRequires:  libexmdbpp0 >= 1.8.0
Requires:       libexmdbpp0 >= 1.8.0
%define services grommunio-index.service grommunio-index.timer

%description
A C++17 program for the generation of grommunio-web fulltext search indexes.

%prep
%autosetup -p1

%build
%if 0%{?suse_version} && 0%{?suse_version} < 1550
%cmake -DCMAKE_CXX_COMPILER=%_bindir/g++-11
%else
%if 0%{?centos_version} == 800
echo '#!/bin/sh -ex' >cxx
echo 'exec g++ "$@" -lstdc++fs' >>cxx
ls -al cxx
chmod a+x cxx
export CXX="$PWD/cxx"
%cmake
%else
%cmake
%endif
%endif
%cmake_build

%install
%if 0%{?centos_version} == 800
export CXX="$PWD/cxx"
%endif
%cmake_install
mkdir -p "%buildroot/%_datadir/%name"

%pre
%service_add_pre %services

%post
%service_add_post %services
if test -x /bin/systemctl; then
	systemctl enable --now grommunio-index.timer || :
fi

%preun
%service_del_preun %services

%postun
%service_del_postun %services

%files
%_bindir/grommunio-index*
%_sbindir/grommunio-index*
%_datadir/%name/
%_unitdir/*
%license LICENSE.txt

%changelog
